/*
 * z2-Environment
 * 
 * Copyright(c) ZFabrik Software GmbH & Co. KG
 * 
 * contact@zfabrik.de
 * 
 * http://www.z2-environment.eu
 */
package com.zfabrik.swing;

import java.awt.BorderLayout;
import java.awt.GraphicsConfiguration;
import java.awt.HeadlessException;

import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.border.EmptyBorder;

public class ZFrame extends JFrame {
	
	// some initialization
	
//	private final static Logger logger = Logger.getLogger(ZFrame.class.getName());
	private static final long serialVersionUID = 1L;
	
	private JPanel contentPanel;
	private JLabel statusBar;
	
	public ZFrame() throws HeadlessException {
		super();
		this._init();
	}

	public ZFrame(GraphicsConfiguration gc) {
		super(gc);
		this._init();
	}

	public ZFrame(String title, GraphicsConfiguration gc) {
		super(title, gc);
		this._init();
	}

	public ZFrame(String title) throws HeadlessException {
		super(title);
		this._init();
	}

	private void _init()  {
		super.setDefaultCloseOperation(EXIT_ON_CLOSE);
		
		JPanel p = new JPanel();
		this.add(p);
		p.setLayout(new BorderLayout());
		
		this.contentPanel = new JPanel();
		p.add(this.contentPanel,BorderLayout.CENTER);
		// adding border layout so that content will be resized.
		this.contentPanel.setLayout(new BorderLayout()); 
		
		JPanel sb = new JPanel();
		p.add(sb,BorderLayout.SOUTH);

		sb.setLayout(new BorderLayout());
		
		
		this.statusBar = new JLabel(" ");
		sb.add(BorderLayout.CENTER, this.statusBar);
		sb.setBorder(new EmptyBorder(1,10,1,10));
	}

	
	public void status(String text) {
		this.statusBar.setText(text);
	}
	
	public JPanel getContentPanel() {
		return this.contentPanel;
	}

}
